precision highp float;

varying vec2 outTexCoord;
varying vec2 outTexCoord2;

uniform sampler2D texture;
uniform sampler2D overlayTexture;

void main() {
    vec4 c2 = texture2D(texture, outTexCoord);
    vec4 c1 = texture2D(overlayTexture, outTexCoord2);
    gl_FragColor = vec4(c1.rgb*(1.-step(c1.a, 0.))+ (1.-c1.a)*c2.rgb, max(c2.a, c1.a));;
}

