precision highp float;

varying vec2 outTexCoord;
varying vec2 outTexCoord2;

uniform sampler2D texture;
uniform sampler2D overlayTexture;

void main() {
    vec4 c2 = texture2D(texture, outTexCoord);
    vec4 c1 = texture2D(overlayTexture, outTexCoord2);
    vec4 outputColor;
    outputColor.r = c1.r + c2.r * c2.a * (1.0 - c1.a);
    outputColor.g = c1.g + c2.g * c2.a * (1.0 - c1.a);
    outputColor.b = c1.b + c2.b * c2.a * (1.0 - c1.a);
    outputColor.a = c1.a + c2.a * (1.0 - c1.a);
    gl_FragColor = outputColor;
}

