attribute vec4 position;
attribute vec4 texCoord;

 uniform mat4 texMatrix;
 uniform mat4 vertexMatrix;

 varying vec2 textureCoordinate;

 void main() {
     gl_Position = vertexMatrix * position;
     textureCoordinate = vec2(texCoord.x, 1.0 - texCoord.y);
 }